<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/padding_10dp">

    <LinearLayout
        android:id="@+id/l"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_toStartOf="@id/wellStatusView">

        <TextView
            android:id="@+id/wellTypeView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="YS092"
            android:textColor="@color/listMainColor"
            android:textSize="@dimen/textFontSize" />

        <TextView
            android:id="@+id/wellNameView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableEnd="@drawable/ic_info"
            android:drawablePadding="@dimen/padding_10dp"
            android:text="污水井"
            android:textColor="@color/listMainColor"
            android:textSize="@dimen/textFontSize" />
    </LinearLayout>

    <TextView
        android:id="@+id/wellCodeView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/l"
        android:layout_marginTop="5dp"
        android:text="GX_WSD_4107_BSEL001"
        android:textColor="@color/listSubColor"
        android:textSize="@dimen/textFontSize" />

    <TextView
        android:id="@+id/wellPositionView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/wellCodeView"
        android:layout_marginTop="5dp"
        android:text="活力大道"
        android:textColor="@color/listSubColor"
        android:textSize="@dimen/textFontSize" />

    <TextView
        android:id="@+id/wellStatusView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_marginStart="@dimen/margin_10dp"
        android:text="已布防"
        android:textColor="@color/listAuxiliaryColor" />

    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
        android:id="@+id/wellOptionButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBaseline="@id/wellCodeView"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="7dp"
        android:paddingVertical="3dp"
        android:text="撤防"
        android:textColor="@color/white"
        app:qmui_backgroundColor="@color/qmui_config_color_red"
        app:qmui_borderWidth="0dp"
        app:qmui_radius="5dp" />
</RelativeLayout>